//Modify date: 2008/01/10
//Purpose : Enable or Disable GoodSound
//Method:
//          Call BCRCom.BCR_UPDATE_SETTING(ref Result) by setting
//          "BCRCom.dwMask_Status" as 
//          MASK_SOUND_ENABLE = 0x0040
//          "BCRCom.dwGoodSound" as
//          (1) BCRSTATUS_GS_DISABLE = 1
//          (2) BCRSTATUS_GS_ENABLE = 2
//          return error code "Result"  
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using BCRServiceCOMLib;

namespace Enable_DisableGoodSound
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }
        uint BCR_SUCCESS = 1;
        uint Result = 0;
        uint MASK_SOUND_ENABLE = 0x0040;
        uint BCRSTATUS_GS_ENABLE = 2;        
        uint BCRSTATUS_GS_DISABLE = 1;        
        BCRServiceCOMLib.BCRClass BCRCom = new BCRServiceCOMLib.BCRClass();
        private void button3_Click(object sender, EventArgs e)
        {
            Application.Exit();
        }

        private void button1_Click(object sender, EventArgs e)
        {                                    
            BCRCom.dwMask_Status = MASK_SOUND_ENABLE;
            BCRCom.dwGoodSound = BCRSTATUS_GS_ENABLE;
            BCRCom.BCR_UPDATE_SETTING(ref Result);
            if (Result == BCR_SUCCESS)
            {
                button1.Enabled = false;
                button2.Enabled = true;       
                MessageBox.Show("Enable GoodSound Success!");
            }
            else
            {
                MessageBox.Show("Enable GoodSound fail");
            }

        }

        private void button2_Click(object sender, EventArgs e)
        {             
            BCRCom.dwMask_Status = MASK_SOUND_ENABLE;
            BCRCom.dwGoodSound = BCRSTATUS_GS_DISABLE;
            BCRCom.BCR_UPDATE_SETTING(ref Result);
            if (Result == BCR_SUCCESS)
            {
                button1.Enabled = true;
                button2.Enabled = false;   
                MessageBox.Show("Disable GoodSound Success!");
            }
            else
            {
                MessageBox.Show("Disable GoodSound fail");
            }
        }
        private void Form1_Load(object sender, EventArgs e)
        {          
            if (BCRCom.dwGoodSound == BCRSTATUS_GS_ENABLE)
            {
                button1.Enabled = false;
                button2.Enabled = true;             
            }
            if (BCRCom.dwGoodSound == BCRSTATUS_GS_DISABLE)
            {
                button1.Enabled = true;
                button2.Enabled = false;                
            }
        }
       
    }
}