//Modify date: 2008/01/10
//Purpose : Enable module
//Method:
//          Call BCRCom.BCR_UPDATE_SETTING(ref Result) by setting
//          "BCRCom.dwMask_Status" as 
//          MASK_MODULE_ENABLE = 0x0020
//          "BCRCom.dwModuleEnable" as
//          (1) BCRSTATUS_MOD_DISABLE = 1
//          (2) BCRSTATUS_MOD_ENABLE = 2
//          return error code "Result"  
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using BCRServiceCOMLib;




namespace Enable_DisableModule
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }
        uint MASK_MODULE_ENABLE = 0x0020;
        uint BCRSTATUS_MOD_DISABLE = 1;
        uint Result = 0;
        uint BCR_SUCCESS = 1;
        uint BCRSTATUS_MOD_ENABLE = 2;
        BCRServiceCOMLib.BCRClass BCRCom = new BCRServiceCOMLib.BCRClass();
        private void button1_Click(object sender, EventArgs e)
        {
            BCRCom.dwMask_Status = MASK_MODULE_ENABLE;
            BCRCom.dwModuleEnable = BCRSTATUS_MOD_ENABLE;
            BCRCom.BCR_UPDATE_SETTING(ref Result);
            if (Result == BCR_SUCCESS)
            {
                button1.Enabled = false;
                button2.Enabled = true;
                MessageBox.Show("Enable BCR module Success!");
            }
            else
            {
                MessageBox.Show("Enable BCR module fail!");
            }
        }

        private void button3_Click(object sender, EventArgs e)
        {
            Application.Exit();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            BCRCom.dwMask_Status = MASK_MODULE_ENABLE;
            BCRCom.dwModuleEnable = BCRSTATUS_MOD_DISABLE;
            BCRCom.BCR_UPDATE_SETTING(ref Result);
            if (Result == BCR_SUCCESS)
            {
                button1.Enabled = true;
                button2.Enabled = false;
                MessageBox.Show("Disable BCR module Success!");
            }
            else
            {
                MessageBox.Show("Disable BCR module fail!");
            }
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            if(BCRCom.dwModuleEnable == BCRSTATUS_MOD_ENABLE)
            {
                button1.Enabled = false;
                button2.Enabled = true;
            }
            if (BCRCom.dwModuleEnable == BCRSTATUS_MOD_DISABLE)
            {
                button1.Enabled = true;
                button2.Enabled = false;
            }
        }
    }
}