//Modify date: 2008/01/10
//Purpose : Set update firmware password of the BCR module
//Method:
//          Put your old password as a string into "BCRCom.szOldPassword" 
//          and put your new password as a string into "BCRCom.szNewPassword" 
//          then call  BCRCom.BCR_SETPWD(out Result)
//          return error code "Result"  
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using BCRServiceCOMLib;

namespace SetFirmwarePassword
{    
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            uint Result = 0;
            uint BCR_SUCCESS = 1;
            BCRServiceCOMLib.BCRClass BCRCom = new BCRServiceCOMLib.BCRClass();
            BCRCom.szOldPassword = "1234567890AB";
            BCRCom.szNewPassword = "888888";
            BCRCom.BCR_SETPWD(out Result);
            if (Result == BCR_SUCCESS)
            {
                MessageBox.Show("Setting Firmware Password Success!");
            }
            else
            {
                MessageBox.Show("Setting Firmware Password fail!");
            }

        }

        private void button2_Click(object sender, EventArgs e)
        {
            Application.Exit();
        }
    }
}