//Modify date: 2008/01/10
//Purpose : Update BCR module firmware 
//Method:
//          (1)Call  BCRCom.BCR_UPDATE_FIRMWARE() by setting
//          (1.1) Set firmware password to "BCRCom.szFwPassword", for example "1234567890AB"
//          (1.2) Set  firmware file exist path to "BCRCom.szFwFilePath", 
//                for example "\\My Documents\\BCR\\RBAV0108.hex"         
//          (2)Call BCRCom.BCR_CANCEL_UPDATE() to cancel firmware update
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using BCRServiceCOMLib;

namespace UpdateFirmware
{

    public partial class Form1 : Form
    {

        BCRServiceCOMLib.BCRClass BCRCom = new BCRServiceCOMLib.BCRClass();
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {           
            timer1.Enabled = true;
            BCRCom.szFwPassword = "1234567890AB";
            BCRCom.szFwFilePath = "\\My Documents\\BCR\\RBAV0108.hex";
            BCRCom.BCR_UPDATE_FIRMWARE();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            BCRCom.BCR_CANCEL_UPDATE();
            MessageBox.Show("The operation was canceled by the user", "Error", MessageBoxButtons.OK, MessageBoxIcon.Hand, MessageBoxDefaultButton .Button1);            
        }

        private void button3_Click(object sender, EventArgs e)
        {
            Application.Exit();
        }

        private void timer1_Tick(object sender, EventArgs e)
        {
            string a;
            label5.Text = BCRCom.GetFwState;
            label3.Text = BCRCom.FwPercent.ToString();
            progressBar1.Value = (int)BCRCom.FwPercent;
        }      
    }
}