REM Modify date: 2008/01/10
REM Purpose : Enable or Disable Keyboard Hook when use BCR module 
REM Method:
REM     (1) BCRCom.BCR_UPDATE_SETTING(ref uint ResultOut) 
REM           Configure BCR Service and BCR Module by setting 
REM           (1.1)"BCRCom.dwMask_Status" to be
REM                   MASK_KEYHOOK_EMABLE= &H80
REM           (1.2)"BCRCom.dwKeyboardHook" to be
REM                   BCRSTATUS_HOOK_OFF = 1
REM                   BCRSTATUS_HOOK_ON   = 2
REM           (1.3)ResultOut is return value.    

Public Class Form1

    Dim MASK_KEYHOOK_EMABLE As UInteger = &H80
    Dim BCRSTATUS_HOOK_ON As UInteger = 2
    Dim Result As UInteger = 0
    Dim BCR_SUCCESS As UInteger = 1    
    Dim BCRSTATUS_HOOK_OFF As UInteger = 1    
    Dim BCRCom As BCRServiceCOMLib.BCR
    Private Sub Button3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button3.Click
        Application.Exit()
    End Sub

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click       
        BCRCom = New BCRServiceCOMLib.BCR
        BCRCom.dwMask_Status = MASK_KEYHOOK_EMABLE
        BCRCom.dwKeyboardHook = BCRSTATUS_HOOK_ON
        BCRCom.BCR_UPDATE_SETTING(Result)
        If Result <> BCR_SUCCESS Then
            MessageBox.Show("Enable Keyboard Hook fail")
        Else
            Button1.Enabled = False
            Button2.Enabled = True
            MessageBox.Show("Enable Keyboard Hook Success!")
        End If
    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click       
        BCRCom = New BCRServiceCOMLib.BCR
        BCRCom.dwMask_Status = MASK_KEYHOOK_EMABLE
        BCRCom.dwKeyboardHook = BCRSTATUS_HOOK_OFF
        BCRCom.BCR_UPDATE_SETTING(Result)
        If Result <> BCR_SUCCESS Then
            MessageBox.Show("Disable Keyboard Hook fail")
        Else
            Button1.Enabled = True
            Button2.Enabled = False
            MessageBox.Show("Disable Keyboard Hook Success!")
        End If
    End Sub

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        BCRCom = New BCRServiceCOMLib.BCR
        If BCRCom.dwKeyboardHook = BCRSTATUS_HOOK_ON Then
            Button1.Enabled = False
            Button2.Enabled = True
        End If
        If BCRCom.dwKeyboardHook = BCRSTATUS_HOOK_OFF Then
            Button1.Enabled = True
            Button2.Enabled = False
        End If

    End Sub
End Class
