REM Modify date: 2008/01/10
REM Purpose : Enable module
REM Method:
REM           Call BCRCom.BCR_UPDATE_SETTING(ref Result) by setting
REM           "BCRCom.dwMask_Status" as 
REM           MASK_MODULE_ENABLE = &H20
REM           "BCRCom.dwModuleEnable" as
REM           (1) BCRSTATUS_MOD_DISABLE = 1
REM           (2) BCRSTATUS_MOD_ENABLE = 2
REM           return error code "Result"  

Public Class Form1

    Dim MASK_MODULE_ENABLE As UInteger = &H20
    Dim BCRSTATUS_MOD_ENABLE As UInteger = 2
    Dim Result As UInteger = 0
    Dim BCR_SUCCESS As UInteger = 1
    Dim BCRSTATUS_MOD_DISABLE As UInteger = 1
    Dim BCR As BCRServiceCOMLib.BCR

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        BCR = New BCRServiceCOMLib.BCR
        If BCR.dwModuleEnable = BCRSTATUS_MOD_ENABLE Then
            Button1.Enabled = False
            Button2.Enabled = True
        End If
        If BCR.dwModuleEnable = BCRSTATUS_MOD_DISABLE Then
            Button1.Enabled = True
            Button2.Enabled = False
        End If

    End Sub

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click        
        BCR = New BCRServiceCOMLib.BCR
        BCR.dwMask_Status = MASK_MODULE_ENABLE
        BCR.dwModuleEnable = BCRSTATUS_MOD_ENABLE
        BCR.BCR_UPDATE_SETTING(Result)
        If Result <> BCR_SUCCESS Then
            MessageBox.Show("Enable BCR module fail!")
        Else
            Button1.Enabled = False
            Button2.Enabled = True
            MessageBox.Show("Enable BCR module Success!")
        End If

    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        BCR = New BCRServiceCOMLib.BCR
        BCR.dwMask_Status = MASK_MODULE_ENABLE
        BCR.dwModuleEnable = BCRSTATUS_MOD_DISABLE
        BCR.BCR_UPDATE_SETTING(Result)
        If Result <> BCR_SUCCESS Then
            MessageBox.Show("Disable BCR module fail!")
        Else
            Button1.Enabled = True
            Button2.Enabled = False
            MessageBox.Show("Disable BCR module Success!")
        End If
    End Sub

    Private Sub Button3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button3.Click
        Application.Exit()
    End Sub
End Class
