REM Modify date: 2008/01/10
REM Purpose : Set trigger key of the BCR module
REM Method:
REM           (1) Call BCRCom.BCR_UPDATE_SETTING(ref Result) by setting
REM                 "BCRCom.dwMask_Status" as 
REM                 MASK_TRIGGER_KEY = &H8
REM                 "BCRCom.dwTriggerKey" as
REM                  BCRSTATUS_TK_START = 5
REM                 return error code "Result"
REM           (2) Call BCRCom.BCR_TRIGGER(BCR_TRIG_PRESS) for registry trigger key
REM                 where BCR_TRIG_PRESS = 2
REM                 Call BCRCom.BCR_TRIGGER(BCR_TRIG_RELEASE) for release trigger key
REM                 where BCR_TRIG_RELEASE = 1  
Public Class Form1
    Dim BCRCom As BCRServiceCOMLib.BCR  
    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        Dim MASK_TRIGGER_KEY As UInteger = &H8
        Dim MASK_KEYHOOK_EMABLE As UInteger = &H80
        Dim BCRSTATUS_HOOK_ON As UInteger = 2
        Dim BCRSTATUS_TK_START As UInteger = 5
        Dim Result As UInteger = 0
        Dim BCR_SUCCESS As UInteger = 1
        BCRCom = New BCRServiceCOMLib.BCR
        BCRCom.dwMask_Status = MASK_KEYHOOK_EMABLE
        BCRCom.dwKeyboardHook = BCRSTATUS_HOOK_ON
        BCRCom.BCR_UPDATE_SETTING(Result)
        If Result <> BCR_SUCCESS Then
            MessageBox.Show("Enable Keyboard Hook fail")
        End If
        BCRCom.dwMask_Status = MASK_TRIGGER_KEY
        BCRCom.dwTriggerKey = BCRSTATUS_TK_START
        BCRCom.BCR_UPDATE_SETTING(Result)
        If Result <> BCR_SUCCESS Then
            MessageBox.Show("Setting Triggerkey fail")
        Else
            MessageBox.Show("Setting TriggerKey Success!")
        End If
    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        Application.Exit()
    End Sub
End Class
