REM Modify date: 2008/01/10
REM Purpose : Update BCR module firmware 
REM Method:
REM           (1)Call  BCRCom.BCR_UPDATE_FIRMWARE() by setting
REM           (1.1) Set firmware password to "BCRCom.szFwPassword", for example "1234567890AB"
REM           (1.2) Set  firmware file exist path to "BCRCom.szFwFilePath", 
REM                 for example "\My Documents\BCR\RBAV0108.hex"         
REM           (2)Call BCRCom.BCR_CANCEL_UPDATE() to cancel firmware update
Public Class Form1

    Private Sub Button3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button3.Click
        Application.Exit()
    End Sub

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        Dim BCRCom As BCRServiceCOMLib.BCR
        BCRCom = New BCRServiceCOMLib.BCR
        Timer1.Enabled = True
        BCRCom.szFwPassword = "1234567890AB"
        BCRCom.szFwFilePath = "\My Documents\BCR\RBAV0108.hex"
        BCRCom.BCR_UPDATE_FIRMWARE()
    End Sub

    Private Sub Timer1_Tick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Timer1.Tick
        Dim BCRCom As BCRServiceCOMLib.BCR
        BCRCom = New BCRServiceCOMLib.BCR      
        Label5.Text = BCRCom.GetFwState
        Label3.Text = BCRCom.FwPercent.ToString()
        ProgressBar1.Value = BCRCom.FwPercent
    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        Dim BCRCom As BCRServiceCOMLib.BCR
        BCRCom = New BCRServiceCOMLib.BCR
        BCRCom.BCR_CANCEL_UPDATE()
    End Sub
End Class
