//Modify date: 2008/01/10
//Purpose : Get the BCR module type to know current setting is 1D or 2D
//Method:
//    (1) Get the "BCRCom.cBcrModuleType" value:
//        0 : BCRSTATUS_BCR_MODULE_UNKNOWN 
//        1 : BCRSTATUS_BCR_MODULE_1D
//        2 : BCRSTATUS_BCR_MODULE_2D 
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using BCRServiceCOMLib;

namespace GetBCRModuleType
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }
        uint BCRSTATUS_BCR_MODULE_UNKNOWN = 0;
        uint BCRSTATUS_BCR_MODULE_1D = 1;
        uint BCRSTATUS_BCR_MODULE_2D = 2;
        BCRServiceCOMLib.BCRClass BCRCom = new BCRServiceCOMLib.BCRClass();
        private void button2_Click(object sender, EventArgs e)
        {
            Application.Exit();
        }

        private void button1_Click(object sender, EventArgs e)
        {           
            if (BCRCom.cBcrModuleType == BCRSTATUS_BCR_MODULE_1D)
            {
                MessageBox.Show("This Module is 1D");
            }
            else if (BCRCom.cBcrModuleType == BCRSTATUS_BCR_MODULE_2D)
            {
                MessageBox.Show("This Module is 2D");
            }
            else if (BCRCom.cBcrModuleType == BCRSTATUS_BCR_MODULE_UNKNOWN)
            {
                MessageBox.Show("This Module is Unknow");
            }
          
        }

        private void button3_Click(object sender, EventArgs e)
        {

        }
    }
}