//Modify date: 2008/01/10
//Purpose : Upload menu codes files to BCR Sevice and BCR 
//                  Service parse the file content then send command to BCR module
//Method:
//          Call  BCRCom.BCR_CUSTOM_SETOPTIONS(out Result) by setting         
//          "BCRCom.dwMask_Option" as
//          MASK_OPTION_FILE = 1
//          and this example set command 
//          "BCRCom.szOPFile" = "\\My Documents\\BCR\\Uncheck.bcr"
//          return error code "Result"  
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using BCRServiceCOMLib;


namespace SendMenuCodesFiles
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            uint MASK_OPTION_FILE = 1;
            uint Result = 0;
            uint BCR_SUCCESS = 1;
            BCRServiceCOMLib.BCRClass BCRCom = new BCRServiceCOMLib.BCRClass();
            BCRCom.dwMask_Option = MASK_OPTION_FILE;
            BCRCom.szOPFile = "\\My Documents\\BCR\\Uncheck.bcr";
            BCRCom.BCR_CUSTOM_SETOPTIONS(out Result);
            if (Result == BCR_SUCCESS)
            {
                MessageBox.Show("Send Menu Codes Files Success!");
            }
            else
            {
                MessageBox.Show("Send Menu Codes Files fail!");
            }
        }

        private void button2_Click(object sender, EventArgs e)
        {
            Application.Exit();
        }
    }
}