//Modify date: 2008/01/10
//Purpose : Set goodsound file 
//Method:
//          Call  BCRCom.BCR_UPDATE_SETTING(ref Result) by setting
//          (1) Set "BCRCom.dwMask_Status" as 
//                MASK_SOUND_FILE = 0x0002
//          (2) Set "BCRCom.szGoodSoundFile", 
//                for example "\\Windows\\Alarm2.wav";
//          return error code "Result"  
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using BCRServiceCOMLib;

namespace SetGoodSoundFilePath
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            uint MASK_SOUND_FILE = 0x0002;
            uint Result = 0;
            uint BCR_SUCCESS = 1;
            BCRServiceCOMLib.BCRClass BCRCom = new BCRServiceCOMLib.BCRClass();
            BCRCom.dwMask_Status = MASK_SOUND_FILE;
            BCRCom.szGoodSoundFile = "\\Windows\\Alarm2.wav";
            BCRCom.BCR_UPDATE_SETTING(ref Result);
            if (Result == BCR_SUCCESS)
            {
                MessageBox.Show("Setting GoodSound filepath Success!");
            }
            else
            {
                MessageBox.Show("Setting GoodSound filepath fail!");
            }
        }

        private void button2_Click(object sender, EventArgs e)
        {
                Application.Exit();
        }
    }
}