//Modify date: 2008/01/10
//Purpose : Enable or disable capture image
//Method:
//          (1) Call BCRCom.BCR_IMAGER_ENABLE(out Result) to enable image capture
//          return error code "Result"
//
//          (2) Call BCRCom.BCR_IMAGER_DISABLE(out Result) to disable image capture
//          return error code "Result"
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using BCRServiceCOMLib;
namespace Enable_DisableImgCapture
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        uint BCR_SUCCESS = 2;
        uint Result = 0;
        BCRServiceCOMLib.BCRClass BCRCom = new BCRServiceCOMLib.BCRClass();
        
        private void button3_Click_1(object sender, EventArgs e)
        {
            Application.Exit();
        }

        private void button1_Click_1(object sender, EventArgs e)
        {
            BCRCom.BCR_IMAGER_ENABLE(out Result);
            if (Result == BCR_SUCCESS)
            {
                MessageBox.Show("Enable ImageCapture Success!");
            }
            else
            {
                MessageBox.Show("Enable ImageCapture fail");
            }
        }

        private void button2_Click_1(object sender, EventArgs e)
        {
            BCRCom.BCR_IMAGER_DISABLE(out Result);
            if (Result == BCR_SUCCESS)
            {
                MessageBox.Show("Disable ImageCapture Success!");
            }
            else
            {
                MessageBox.Show("Disable ImageCapture fail");
            }
        }
    }
}