// Enable_DisableImgCaptureDlg.cpp : implementation file
//

#include "stdafx.h"
#include "Enable_DisableImgCapture.h"
#include "Enable_DisableImgCaptureDlg.h"
#include "..\..\..\Inc\BCRService.h"
#include <winioctl.h>
#ifdef _DEBUG
#define new DEBUG_NEW
#endif

// CEnable_DisableImgCaptureDlg dialog
#define SUCCESS_OK 2

CEnable_DisableImgCaptureDlg::CEnable_DisableImgCaptureDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CEnable_DisableImgCaptureDlg::IDD, pParent)
{
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CEnable_DisableImgCaptureDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
}

BEGIN_MESSAGE_MAP(CEnable_DisableImgCaptureDlg, CDialog)
#if defined(_DEVICE_RESOLUTION_AWARE) && !defined(WIN32_PLATFORM_WFSP)
	ON_WM_SIZE()
#endif
	//}}AFX_MSG_MAP
	ON_BN_CLICKED(IDC_ENABLE_BTN, &CEnable_DisableImgCaptureDlg::OnBnClickedEnableBtn)
	ON_BN_CLICKED(IDC_DISABLE_BTN, &CEnable_DisableImgCaptureDlg::OnBnClickedDisableBtn)
END_MESSAGE_MAP()


// CEnable_DisableImgCaptureDlg message handlers

BOOL CEnable_DisableImgCaptureDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon

	// TODO: Add extra initialization here
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

#if defined(_DEVICE_RESOLUTION_AWARE) && !defined(WIN32_PLATFORM_WFSP)
void CEnable_DisableImgCaptureDlg::OnSize(UINT /*nType*/, int /*cx*/, int /*cy*/)
{
	DRA::RelayoutDialog(
		AfxGetInstanceHandle(), 
		this->m_hWnd, 
		DRA::GetDisplayMode() != DRA::Portrait ? 
			MAKEINTRESOURCE(IDD_ENABLE_DISABLEIMGCAPTURE_DIALOG_WIDE) : 
			MAKEINTRESOURCE(IDD_ENABLE_DISABLEIMGCAPTURE_DIALOG));
}
#endif


void CEnable_DisableImgCaptureDlg::OnBnClickedEnableBtn()
{
	// TODO: Add your control notification handler code here
	DWORD Result=0, Result1=0;
	HANDLE hFile;
	hFile = CreateFile( L"BCR0:",
                GENERIC_READ | GENERIC_WRITE,
                0,    // comm devices must be opened w/exclusive-access
                NULL, // no security attrs
                OPEN_EXISTING, // comm devices must use OPEN_EXISTING
                FILE_ATTRIBUTE_NORMAL,    // overlapped I/O 
                NULL  // hTemplate must be NULL for comm devices  
				);

    if ( hFile == INVALID_HANDLE_VALUE ) 
    {	
		AfxMessageBox ( _T("Creat BCR Service ERR!"));
		return;
    }
    DeviceIoControl(hFile, BCR_IOCTL_IMAGER_ENABLE, NULL, 0, &Result, sizeof(Result), &Result1, NULL);
	if(Result == SUCCESS_OK){
			MessageBox(L"Enable ImageCapture Success",L"Success",MB_OK);
	}
	else{
			MessageBox(L"Enable ImageCapture Fail",L"Error",MB_OK| MB_ICONERROR);
	}
    RETAILMSG(1, (TEXT("[BCR] Ena Status :  %d\n"), Result));
	CloseHandle(hFile);
}

void CEnable_DisableImgCaptureDlg::OnBnClickedDisableBtn()
{
	// TODO: Add your control notification handler code here
	DWORD Result=0, Result1=0;
	HANDLE hFile;
	hFile = CreateFile( L"BCR0:",
                GENERIC_READ | GENERIC_WRITE,
                0,    // comm devices must be opened w/exclusive-access
                NULL, // no security attrs
                OPEN_EXISTING, // comm devices must use OPEN_EXISTING
                FILE_ATTRIBUTE_NORMAL,    // overlapped I/O 
                NULL  // hTemplate must be NULL for comm devices  
				);

    if ( hFile == INVALID_HANDLE_VALUE ) 
    {		
		AfxMessageBox ( _T("Creat BCR Service ERR!"));
		return;
	}
    DeviceIoControl(hFile, BCR_IOCTL_IMAGER_DISABLE, NULL, 0, &Result, sizeof(Result), &Result1, NULL);
	if(Result == SUCCESS_OK){
			MessageBox(L"Disable ImageCapture Success",L"Success",MB_OK);
	}
	else{
			MessageBox(L"Disable ImageCapture Fail",L"Error",MB_OK| MB_ICONERROR);
	}
    RETAILMSG(1, (TEXT("[BCR] Dis Status :  %d\n"), Result));
	CloseHandle(hFile);
}
