// TakeSnapShotDlg.h : header file
//

#pragma once

// CTakeSnapShotDlg dialog
class CTakeSnapShotDlg : public CDialog
{
// Construction
public:
	CTakeSnapShotDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_TAKESNAPSHOT_DIALOG };
	CComboBox Bpp_combo,Type_combo;

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
#if defined(_DEVICE_RESOLUTION_AWARE) && !defined(WIN32_PLATFORM_WFSP)
	afx_msg void OnSize(UINT /*nType*/, int /*cx*/, int /*cy*/);
#endif
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedTakesnapBtn();
	afx_msg void TakeSnapshot(int iW, int iH, int iBPP, int iType);
	afx_msg void ImagerEnable(void);
	afx_msg void OnOK(void);
	afx_msg void KeyUpClass();
	afx_msg void KeyDownClass();
	afx_msg LRESULT OnPicInit( WPARAM wParam, LPARAM lParam );
	afx_msg LRESULT OnPicProcess( WPARAM wParam, LPARAM lParam );
	afx_msg LRESULT OnPicCancel( WPARAM wParam, LPARAM lParam );
	afx_msg LRESULT OnPicCancelled( WPARAM wParam, LPARAM lParam );
	afx_msg LRESULT OnPicDone( WPARAM wParam, LPARAM lParam );	
	afx_msg LRESULT OnPicBlock( WPARAM wParam, LPARAM lParam );
	afx_msg DWORD TakeSnapshotThread_Class();
	afx_msg BOOL InitTakeSnapshotThread(void);
public:
	afx_msg void OnBnClickedCancelBtn();
};

void KeyUp(CTakeSnapShotDlg *pCTakeSnapShotDlg);
void KeyDown(CTakeSnapShotDlg *pCTakeSnapShotDlg);
void TakeSnapshotThread(CTakeSnapShotDlg *pCTakeSnapShotDlg);