REM Modify date: 2008/01/10
REM Purpose : Get the BCR module type to know current setting is 1D or 2D
REM Method:
REM     (1) Get the "BCRCom.cBcrModuleType" value:
REM         0 : BCRSTATUS_BCR_MODULE_UNKNOWN 
REM         1 : BCRSTATUS_BCR_MODULE_1D
REM         2 : BCRSTATUS_BCR_MODULE_2D 
Public Class Form1

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click

        Dim BCRCom As BCRServiceCOMLib.BCR
        Dim BCRSTATUS_BCR_MODULE_UNKNOWN As UInteger = 0
        Dim BCRSTATUS_BCR_MODULE_1D As UInteger = 1
        Dim BCRSTATUS_BCR_MODULE_2D As UInteger = 2
        BCRCom = New BCRServiceCOMLib.BCR

        If BCRCom.cBcrModuleType = BCRSTATUS_BCR_MODULE_1D Then
            MessageBox.Show("This Module is 1D")
        ElseIf BCRCom.cBcrModuleType = BCRSTATUS_BCR_MODULE_2D Then
            MessageBox.Show("This Module is 2D")
        ElseIf BCRCom.cBcrModuleType = BCRSTATUS_BCR_MODULE_UNKNOWN Then
            MessageBox.Show("This Module is Unknow")
        End If


    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        Application.Exit()
    End Sub
End Class
