REM Modify date: 2008/01/10
REM Purpose : Enable or disable capture image
REM Method:
REM           (1) Call BCRCom.BCR_IMAGER_ENABLE(out Result) to enable image capture
REM           return error code "Result"
REM 
REM           (2) Call BCRCom.BCR_IMAGER_DISABLE(out Result) to disable image capture
REM           return error code "Result"
Public Class Form1

    Dim Result As UInteger = 0
    Dim BCR_SUCCESS As UInteger = 2
    Dim BCR As BCRServiceCOMLib.BCR

    Private Sub Button3_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button3.Click
        Application.Exit()
    End Sub

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        BCR = New BCRServiceCOMLib.BCR
        BCR.BCR_IMAGER_ENABLE(Result)
        If Result <> BCR_SUCCESS Then
            Button1.Enabled = True
            Button2.Enabled = False
            MessageBox.Show("Enable ImageCapture fail!")
        Else
            Button1.Enabled = False
            Button2.Enabled = True
            MessageBox.Show("Enable Image Capture Success!")
        End If
    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        BCR = New BCRServiceCOMLib.BCR
        BCR.BCR_IMAGER_DISABLE(Result)
        If Result <> BCR_SUCCESS Then
            Button1.Enabled = False
            Button2.Enabled = True
            MessageBox.Show("Disable Image Capture fail")
        Else
            Button1.Enabled = True
            Button2.Enabled = False
            MessageBox.Show("Disable Image Capture Success!")
        End If
    End Sub
End Class
